include(CMakeFindDependencyMacro)

find_dependency(ZLIB)
find_dependency(LibLZMA)
find_dependency(Threads)
find_dependency(CURL)

# OSG

set(SIMGEAR_HEADLESS OFF)
set(SIMGEAR_SOUND ON)
set(USE_AEONWAVE FALSE)
set(SG_SOUND_USES_OPENALSOFT OFF)

set(USE_SHADERVG OFF)
if (USE_SHADERVG)
endif()

set(ENABLE_ASAN OFF)
set(SIMGEAR_SHARED ON)

# SSE/SSE2 support

set(ENABLE_SIMD ON)

# SycloneDDS support
set(SG_HAVE_DDS )
if(SG_HAVE_DDS)
    find_dependency(CycloneDDS)
endif()


if (SIMGEAR_SOUND)
  # find the sound dependency
  if (USE_AEONWAVE)
    find_dependency(AAX)
  elseif(SG_SOUND_USES_OPENALSOFT)
    # must force CONFIG mode when using OpenAL soft, to avoid picking
    # the CMake supplied FindOpenAL and hence defaults to the system
    # framework on macOS
    find_dependency(OpenAL CONFIG)
  else()
    find_dependency(OpenAL)
  endif()
endif()

# OpenRTI support
set(ENABLE_RTI OFF)
if(ENABLE_RTI)
    find_dependency(PkgConfig)
    if(PKG_CONFIG_FOUND)
      pkg_check_modules(RTI IMPORTED_TARGET hla-rti13)
    endif(PKG_CONFIG_FOUND)
endif(ENABLE_RTI)

# Alternative terrain engine based on pagedLOD

set(ENABLE_GDAL ON)
if (ENABLE_GDAL)
  find_dependency(GDAL)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/SimGearTargets.cmake")
